@ECHO OFF
rem WINPKT.BAT
rem
rem USAGE:
rem Automatically invoked by accompanying
rem OEMSETUP.INF as a CALL from AUTOEXEC.BAT
rem following the NET START command, i.e.
rem after DIS_PKT.DOS has loaded. This allows
rem automatic detection of PKTDRV interrupt
rem vector by WINPKT, and, thus, allows
rem setting this vector via the standard
rem Windows for Workgroups 3.1x dialogue boxes
rem (Network Setup [Drivers...] [Setup...]).
rem
rem DESCRIPTION:
rem This batch file tries to load WINPKT with
rem successive PKTDRV interrupt vector values
rem until WINPKT returns with ERRORLEVEL 0
rem indicating that it found a loaded PKTDRV.
rem Only values available in the accompanying
rem OEMSETUP.INF (0x60,0x63,0x65,0x66,0x78,0x79,
rem 0x7B,0x7C,0x7D,0x7E,and 0x7F) are tested.
rem This is a brute force "kludge" and could be
rem accomplished much more graceful from within
rem WINPKT (as it is by PKTMUX).
rem
rem HISTORY:
rem 22 Mar 94 - Original by Douglas W. Jones
rem             (email jones@cbdb1.nimh.nih.gov)
rem
rem
SET pktdrv_vec=0x60
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try63
GOTO loaded
:try63
SET pktdrv_vec=0x63
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try65
GOTO loaded
:try65
SET pktdrv_vec=0x65
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try66
GOTO loaded
:try66
SET pktdrv_vec=0x66
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try78
GOTO loaded
:try78
SET pktdrv_vec=0x78
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try79
GOTO loaded
:try79
SET pktdrv_vec=0x79
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try7B
GOTO loaded
:try7B
SET pktdrv_vec=0x7B
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try7C
GOTO loaded
:try7C
SET pktdrv_vec=0x7C
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try7D
GOTO loaded
:try7D
SET pktdrv_vec=0x7D
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try7E
GOTO loaded
:try7E
SET pktdrv_vec=0x7E
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try7F
GOTO loaded
:try7F
SET pktdrv_vec=0x7F
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO notloaded
GOTO loaded
:notloaded
ECHO ERROR: WINPKT not loaded; PKTDRV not found
GOTO exit
:loaded
ECHO WINPKT loaded; PKTDRV using interrupt %pktdrv_vec%
:exit
SET pktdrv_vec=

